/* Global data structures for hoc 
 *
 * $Author: jkcohen $
 * $Source: /mnt1/h/jkcohen/Source/C/Hoc/RCS/hoc.h,v $
 * $Revision: 1.1 $ ; $Date: 87/03/16 21:18:22 $
 * $State: Stab $
*/

typedef struct Symbol {	/* symbol table entry */
	char	*name;
	int	type;	/* CON, VAR, BLTIN, BLTIN2, BLTIN0, UNDEF */
	union {
		double	val;		/* if CON or VAR */
		double	(*ptr)();	/* if BLTIN */
	} u;
	struct Symbol	*next;	/* to link to another */
} Symbol;
Symbol	*install(), *lookup();
