# MS Makefile for HOC w/ MSC 4.0 and YACC.EXE

hoc.c : hoc.y hoc.h
    YACC -h hoc

hoc.obj : hoc.c hoc.h
    MSC  hoc.c;

init.obj : init.c hoc.h ytab.h jc.h su.h
    MSC  init;

symbol.obj : hoc.c hoc.h ytab.h jc.h su.h
    MSC  symbol;

math.obj : math.c jc.h su.h
    MSC  math;

selfdoc.obj : selfdoc.c
    MSC  selfdoc;

hoc.exe : hoc.obj init.obj symbol.obj math.obj selfdoc.obj
    LINK hoc+init+symbol+math+selfdoc/NOI/EXEPACK/STACK:4000;
