
# line 2 "cdgram.y"
#include <stdio.h>

#define	MB_SHORT	0001
#define	MB_LONG		0002
#define	MB_UNSIGNED	0004
#define MB_INT		0010
#define MB_CHAR		0020
#define MB_FLOAT	0040
#define MB_DOUBLE	0100
#define MB_VOID		0200

int modbits = 0;
int arbdims = 1;
char *savedtype;
char *savedname;
char *ds(), *cat();
char *index(), *malloc();
char prev;

# line 22 "cdgram.y"
typedef union  {
	char *dynstr;
	struct {
		char *left;
		char *right;
	} halves;
} YYSTYPE;
# define DECLARE 257
# define CAST 258
# define INTO 259
# define AS 260
# define HELP 261
# define QUIT 262
# define EXPLAIN 263
# define FUNCTION 264
# define RETURNING 265
# define POINTER 266
# define TO 267
# define ARRAY 268
# define OF 269
# define NAME 270
# define NUMBER 271
# define STRUCTUNION 272
# define UNSIGNED 273
# define LONG 274
# define SHORT 275
# define INT 276
# define CHAR 277
# define FLOAT 278
# define DOUBLE 279
# define VOID 280
#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
extern short yyerrflag;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif
YYSTYPE yylval, yyval;
# define YYERRCODE 256

# line 226 "cdgram.y"

#include "cdlex.c"

#define LORS	(MB_LONG|MB_SHORT)
/* #define UORL	(MB_UNSIGNED|MB_LONG) */
#define UORS	(MB_UNSIGNED|MB_SHORT)
#define CORL	(MB_CHAR|MB_LONG)
#define CORS	(MB_CHAR|MB_SHORT)
/* #define CORU	(MB_CHAR|MB_UNSIGNED) */
#define LORV	(MB_LONG|MB_VOID)
#define SORV	(MB_SHORT|MB_VOID)
#define UORV	(MB_UNSIGNED|MB_VOID)

mbcheck()
{
	if ((modbits&LORS) == LORS)
		unsupp("conflicting 'short' and 'long'");
/*	if ((modbits&UORL) == UORL)
		unport("unsigned with long"); */
	if ((modbits&UORS) == UORS)
		unport("unsigned with short");
	if ((modbits&CORL) == CORL)
		unsupp("long char");
	if ((modbits&CORS) == CORS)
		unsupp("short char");
/*	if ((modbits&CORU) == CORU)
		unport("unsigned char"); */
	if ((modbits&LORV) == LORV)
		unsupp("long void");
	if ((modbits&SORV) == SORV)
		unsupp("short void");
	if ((modbits&UORV) == UORV)
		unport("unsigned void");
}

savetype(s)
char *s;
{
	savedtype = s;
}

savename(s)
char *s;
{
	savedname = s;
}
short yyexca[] ={
-1, 1,
	0, -1,
	-2, 0,
	};
# define YYNPROD 41
# define YYLAST 281
short yyact[]={

  27,  34,  35,  36,  29,  30,  31,  32,  33,  34,
  35,  36,  29,  30,  31,  32,  33,  60,  22,  56,
  21,  38,  64,  40,  51,  39,  13,   8,  12,  65,
  57,  54,  70,  17,  18,  67,  44,  37,  68,  62,
  59,  28,  26,  19,  58,  52,  43,  16,  11,  10,
  41,  15,   2,   1,  24,  55,  42,  45,  14,  20,
  25,   0,   0,   0,   0,  47,  48,  50,  49,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,  46,   0,   0,
   0,  63,   0,   0,   0,  66,   0,   0,   0,   0,
   0,   0,   0,  69,   0,   0,   0,   0,  71,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,  61,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,  23,   0,
   0,   0,   0,   0,   0,   0,  53,   0,   0,   0,
   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
   0,   0,   0,   9,   5,   6,   0,   0,   3,   4,
   7 };
short yypact[]={

-1000,  17,-1000,  39,  38,-242,-244,-1000,-1000,  37,
-1000,-1000,-227,-225, -22,-272,-1000,-243,-243,  36,
  -4, -22, -22,-1000,-1000,-264,-1000,-246,-1000,-1000,
-1000,-1000,-1000,-1000,-1000,-1000,-1000,  35,  -9,-252,
-237,-1000,  34,-1000,  -1,-1000, -76,-1000,  -2,-1000,
-1000,-1000,-1000,-243,-248,-240,-1000,-243,-1000,-1000,
-1000, -58,-1000,-1000,  -3,-243,-1000,-1000,-233,-1000,
-243,-1000 };
short yypgo[]={

   0,  60,  42,  50,  41,  43,  59,  57,  55,  54,
  37,  53,  52,  51 };
short yyr1[]={

   0,  11,  11,  12,  12,  12,  12,  12,  12,  12,
   5,   5,   6,   6,   6,   6,   7,   7,  10,  10,
  10,  10,  10,   8,   8,   3,  13,   9,   9,   9,
   9,   2,   2,   2,   2,   2,   1,   1,   4,   4,
   4 };
short yyr2[]={

   0,   0,   2,   2,   2,   5,   5,   4,   1,   2,
   1,   2,   3,   2,   3,   1,   2,   3,   3,   6,
   4,   3,   1,   0,   1,   2,   0,   1,   1,   2,
   2,   1,   1,   1,   1,   1,   1,   2,   1,   1,
   1 };
short yychk[]={

-1000, -11, -12, 261, 262, 257, 258, 263,  10, 256,
  10,  10, 270, 270,  -3, -13,  10, 260, 259,  -5,
  -6,  42,  40, 270,  -9,  -1,  -2, 272,  -4, 276,
 277, 278, 279, 280, 273, 274, 275, -10, 264, 268,
 266,  -3, -10,  10,  40,  -7,  91,  -5,  -5,  -2,
  -4, 270,  10, 265,  40,  -8, 271, 267,  10,  41,
  93, 271,  41, -10, 270, 269, -10,  93,  41, -10,
 265, -10 };
short yydef[]={

   1,  -2,   2,   0,   0,   0,   0,  26,   8,   0,
   3,   4,   0,   0,   0,   0,   9,  26,  26,   0,
  10,   0,   0,  15,  25,  27,  28,   0,  36,  31,
  32,  33,  34,  35,  38,  39,  40,   0,   0,  23,
   0,  22,   0,   7,   0,  13,   0,  11,   0,  29,
  37,  30,   5,  26,   0,   0,  24,  26,   6,  12,
  16,   0,  14,  18,   0,  26,  21,  17,   0,  20,
  26,  19 };
#
# define YYFLAG -1000
# define YYERROR goto yyerrlab
# define YYACCEPT return(0)
# define YYABORT return(1)

/*	parser for yacc output	*/

#ifdef YYDEBUG
int yydebug = 0; /* 1 for debugging */
#endif
YYSTYPE yyv[YYMAXDEPTH]; /* where the values are stored */
int yychar = -1; /* current input token number */
int yynerrs = 0;  /* number of errors */
short yyerrflag = 0;  /* error recovery flag */

yyparse() {

	short yys[YYMAXDEPTH];
	short yyj, yym;
	register YYSTYPE *yypvt;
	register short yystate, *yyps, yyn;
	register YYSTYPE *yypv;
	register short *yyxi;

	yystate = 0;
	yychar = -1;
	yynerrs = 0;
	yyerrflag = 0;
	yyps= &yys[-1];
	yypv= &yyv[-1];

 yystack:    /* put a state and value onto the stack */

#ifdef YYDEBUG
	if( yydebug  ) printf( "state %d, char 0%o\n", yystate, yychar );
#endif
		if( ++yyps> &yys[YYMAXDEPTH] ) { yyerror( "yacc stack overflow" ); return(1); }
		*yyps = yystate;
		++yypv;
		*yypv = yyval;

 yynewstate:

	yyn = yypact[yystate];

	if( yyn<= YYFLAG ) goto yydefault; /* simple state */

	if( yychar<0 ) if( (yychar=yylex())<0 ) yychar=0;
	if( (yyn += yychar)<0 || yyn >= YYLAST ) goto yydefault;

	if( yychk[ yyn=yyact[ yyn ] ] == yychar ){ /* valid shift */
		yychar = -1;
		yyval = yylval;
		yystate = yyn;
		if( yyerrflag > 0 ) --yyerrflag;
		goto yystack;
		}

 yydefault:
	/* default state action */

	if( (yyn=yydef[yystate]) == -2 ) {
		if( yychar<0 ) if( (yychar=yylex())<0 ) yychar = 0;
		/* look through exception table */

		for( yyxi=yyexca; (*yyxi!= (-1)) || (yyxi[1]!=yystate) ; yyxi += 2 ) ; /* VOID */

		while( *(yyxi+=2) >= 0 ){
			if( *yyxi == yychar ) break;
			}
		if( (yyn = yyxi[1]) < 0 ) return(0);   /* accept */
		}

	if( yyn == 0 ){ /* error */
		/* error ... attempt to resume parsing */

		switch( yyerrflag ){

		case 0:   /* brand new error */

			yyerror( "syntax error" );
		yyerrlab:
			++yynerrs;

		case 1:
		case 2: /* incompletely recovered error ... try again */

			yyerrflag = 3;

			/* find a state where "error" is a legal shift action */

			while ( yyps >= yys ) {
			   yyn = yypact[*yyps] + YYERRCODE;
			   if( yyn>= 0 && yyn < YYLAST && yychk[yyact[yyn]] == YYERRCODE ){
			      yystate = yyact[yyn];  /* simulate a shift of "error" */
			      goto yystack;
			      }
			   yyn = yypact[*yyps];

			   /* the current yyps has no shift onn "error", pop stack */

#ifdef YYDEBUG
			   if( yydebug ) printf( "error recovery pops state %d, uncovers %d\n", *yyps, yyps[-1] );
#endif
			   --yyps;
			   --yypv;
			   }

			/* there is no state on the stack with an error shift ... abort */

	yyabort:
			return(1);


		case 3:  /* no shift yet; clobber input char */

#ifdef YYDEBUG
			if( yydebug ) printf( "error recovery discards char %d\n", yychar );
#endif

			if( yychar == 0 ) goto yyabort; /* don't discard EOF, quit */
			yychar = -1;
			goto yynewstate;   /* try again in the same state */

			}

		}

	/* reduction by production yyn */

#ifdef YYDEBUG
		if( yydebug ) printf("reduce %d\n",yyn);
#endif
		yyps -= yyr2[yyn];
		yypvt = yypv;
		yypv -= yyr2[yyn];
		yyval = yypv[1];
		yym=yyn;
			/* consult goto table to find next state */
		yyn = yyr1[yyn];
		yyj = yypgo[yyn] + *yyps + 1;
		if( yyj>=YYLAST || yychk[ yystate = yyact[yyj] ] != -yyn ) yystate = yyact[yypgo[yyn]];
		switch(yym){
			
case 3:
# line 46 "cdgram.y"
{
			help();
			} break;
case 4:
# line 50 "cdgram.y"
{
			quit();
			} break;
case 5:
# line 54 "cdgram.y"
{
			printf("%s %s%s%s",savedtype,yypvt[-1].halves.left,yypvt[-3].dynstr,yypvt[-1].halves.right);
#ifdef MKPROGRAM
			if (prev == 'f')
				printf("\n{\n}\n");
			else
				printf(";\n");
#else
			printf("\n");
#endif
			free(yypvt[-1].halves.left);
			free(yypvt[-1].halves.right);
			free(yypvt[-3].dynstr);
			} break;
case 6:
# line 69 "cdgram.y"
{
			if (prev == 'f')
				unsupp("Cast into function");
			else if (prev=='A' || prev=='a')
				unsupp("Cast into array");
			printf("(%s",savedtype);
			if (strlen(yypvt[-1].halves.left)+strlen(yypvt[-1].halves.right))
				printf(" %s%s",yypvt[-1].halves.left,yypvt[-1].halves.right);
			printf(")%s\n",yypvt[-3].dynstr);
			free(yypvt[-1].halves.left);
			free(yypvt[-1].halves.right);
			free(yypvt[-3].dynstr);
			} break;
case 7:
# line 83 "cdgram.y"
{ printf("declare %s as %s%s\n",savedname,yypvt[-1].dynstr,yypvt[-2].dynstr); } break;
case 9:
# line 86 "cdgram.y"
{
			yyerrok;
			} break;
case 11:
# line 93 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-0].dynstr,ds("pointer to "),NULL); } break;
case 12:
# line 97 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-2].dynstr,ds("function returning "),NULL); } break;
case 13:
# line 99 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-1].dynstr,ds("array "),yypvt[-0].dynstr); } break;
case 14:
# line 101 "cdgram.y"
{ yyval.dynstr = yypvt[-1].dynstr; } break;
case 15:
# line 103 "cdgram.y"
{
				savename(yypvt[-0].dynstr);
				yyval.dynstr = ds("");
			} break;
case 16:
# line 110 "cdgram.y"
{ yyval.dynstr = ds("of "); } break;
case 17:
# line 112 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-1].dynstr,ds(" of "),NULL); } break;
case 18:
# line 116 "cdgram.y"
{
			if (prev == 'f')
				unsupp("Function returning function");
			else if (prev=='A' || prev=='a')
				unsupp("Function returning array");
			yyval.halves.left = yypvt[-0].halves.left;
			yyval.halves.right = cat(ds("()"),yypvt[-0].halves.right,NULL);
			prev = 'f';
			} break;
case 19:
# line 126 "cdgram.y"
{
			if (prev == 'f')
				unsupp("Function returning function");
			else if (prev=='A' || prev=='a')
				unsupp("Function returning array");
			yyval.halves.left = yypvt[-0].halves.left;
			yyval.halves.right = cat(ds("("),yypvt[-3].dynstr,ds(")"));
			yyval.halves.right = cat(yyval.halves.right,yypvt[-0].halves.right,NULL);
			prev = 'f';
			} break;
case 20:
# line 137 "cdgram.y"
{
			if (prev == 'f')
				unsupp("Array of function");
			else if (prev == 'a')
				unsupp("Inner array of unspecified size");
			if (arbdims)
				prev = 'a';
			else
				prev = 'A';
			yyval.halves.left = yypvt[-0].halves.left;
			yyval.halves.right = cat(yypvt[-2].dynstr,yypvt[-0].halves.right,NULL);
			} break;
case 21:
# line 150 "cdgram.y"
{
			if (prev == 'a')
			   unsupp("Pointer to array of unspecified dimension");
			if (prev=='a' || prev=='A' || prev=='f') {
				yyval.halves.left = cat(yypvt[-0].halves.left,ds("(*"),NULL);
				yyval.halves.right = cat(ds(")"),yypvt[-0].halves.right,NULL);
			} else {
				yyval.halves.left = cat(yypvt[-0].halves.left,ds("*"),NULL);
				yyval.halves.right = yypvt[-0].halves.right;
			}
			prev = 'p';
			} break;
case 22:
# line 163 "cdgram.y"
{
			savetype(yypvt[-0].dynstr);
			yyval.halves.left = ds("");
			yyval.halves.right = ds("");
			prev = 't';
			} break;
case 23:
# line 172 "cdgram.y"
{
			arbdims = 1;
			yyval.dynstr = ds("[]");
			} break;
case 24:
# line 177 "cdgram.y"
{
			arbdims = 0;
			yyval.dynstr = cat(ds("["),yypvt[-0].dynstr,ds("]"));
			} break;
case 25:
# line 184 "cdgram.y"
{ mbcheck(); yyval.dynstr = yypvt[-0].dynstr; } break;
case 26:
# line 188 "cdgram.y"
{ modbits = 0; } break;
case 27:
# line 192 "cdgram.y"
{ yyval.dynstr = yypvt[-0].dynstr; } break;
case 28:
# line 194 "cdgram.y"
{ yyval.dynstr = yypvt[-0].dynstr; } break;
case 29:
# line 196 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-1].dynstr,ds(" "),yypvt[-0].dynstr); } break;
case 30:
# line 198 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-1].dynstr,ds(" "),yypvt[-0].dynstr); } break;
case 31:
# line 202 "cdgram.y"
{ modbits |= MB_INT; yyval.dynstr = yypvt[-0].dynstr; } break;
case 32:
# line 204 "cdgram.y"
{ modbits |= MB_CHAR; yyval.dynstr = yypvt[-0].dynstr; } break;
case 33:
# line 206 "cdgram.y"
{ modbits |= MB_FLOAT; yyval.dynstr = yypvt[-0].dynstr; } break;
case 34:
# line 208 "cdgram.y"
{ modbits |= MB_DOUBLE; yyval.dynstr = yypvt[-0].dynstr; } break;
case 35:
# line 210 "cdgram.y"
{ modbits |= MB_VOID; yyval.dynstr = yypvt[-0].dynstr; } break;
case 36:
# line 214 "cdgram.y"
{ yyval.dynstr = yypvt[-0].dynstr; } break;
case 37:
# line 216 "cdgram.y"
{ yyval.dynstr = cat(yypvt[-1].dynstr,ds(" "),yypvt[-0].dynstr); } break;
case 38:
# line 220 "cdgram.y"
{ modbits |= MB_UNSIGNED; yyval.dynstr = yypvt[-0].dynstr; } break;
case 39:
# line 222 "cdgram.y"
{ modbits |= MB_LONG; yyval.dynstr = yypvt[-0].dynstr; } break;
case 40:
# line 224 "cdgram.y"
{ modbits |= MB_SHORT; yyval.dynstr = yypvt[-0].dynstr; } break;
		}
		goto yystack;  /* stack new state and value */

	}
